﻿(function (app) {
    app.controller('myCtrl', ["$scope","$state", function ($scope,$state) {
        $scope.toProfile = function () {
            $state.go('wl.my_profile');
        }
    }]);
    app.controller('mySettingCtrl', ['$scope', 'data', '$state', '$http', function ($scope, data, $state, $http) {
        $scope.logout = function () {
            data.remove('user');
            data.remove('token');
            $http.defaults.headers.common["Authorization"] =undefined;
            $state.go('login');
        }
    }]);
    app.controller('mySetPasswordCtrl', ['$scope', '$state', function ($scope,$state) {
        $scope.vm = {
            password: '',
            password2: '',
            isloading: false,

        };
        $scope.submit = function () {

        }
    }]);
    
    app.controller('myProfileCtrl', ['$scope', 'userService', 'msg', 'util','data', function ($scope, userService, msg, util,data) {
        $scope.user = data.getObject('user');
        $scope.genderOpt = [
              { name: "男", value: 1 },
              { name: "女", value: 0 }
        ];
        userService.getApplyProfile().then(function (result) {
            $scope.vm = result;
        }, function (erro) {
            msg.error(erro);
        });
        $scope.setAvator = function () {
           // alert(typeof FileUploadOptions);
            var options = {
                quality: 50,
                destinationType: 1,
                sourceType: 0,
                encodingType: 0,
                saveToPhotoAlbum: false,
                allowEdit:true
            };//https://cordova.apache.org/docs/en/latest/reference/cordova-plugin-camera/
            navigator.camera.getPicture(function (imageUri) {
             //   alert(imageUri);
                $scope.user.avatar = imageUri;
              
                //var uploadOptions = new FileUploadOptions();
                //uploadOptions.fileKey = "avatar";
                //alert(uploadOptions);
                //uploadOptions.fileName = "avatar.jpg";
                //uploadOptions.mimeType = "image/jpeg";
                //var ft = new FileTransfer();
                //alert(ft);
                //ft.upload(imageUri, "http://120.25.204.211/api/user", function(sucess) {
                //    alert(JSON.stringify(sucess));
                //}, function (fail) {
                //    alert(JSON.stringify(fail));
                //}, options);
                //ft.abort();
            }, function (erro) {
                alert(erro);
            }, options);
        }
        $scope.save = function () {
            data.updateObject('user', $scope.user);
        }
    }]);
    
    app.controller('myTruckCtrl', ['$scope', '$state', 'myService', 'msg', function ($scope, $state, myService, msg) {
        $scope.filter = {
            hasMore: false,
            page: 0,
            pageSize: 10,
        }
        $scope.items = [];
        $scope.load = function (init) {
            if (init) {
                $scope.filter.pageIndex = 1;
                $scope.items = [];
            }
            myService.listTrucks($scope.filter).then(function (result) {
                $scope.filter.pageIndex++;
                var more = (result.data.data.length >= $scope.filter.pageSize);
                $scope.filter.hasMore = more;
                $scope.items = $scope.items.concat(result.data.data);
                if (init) {
                    $scope.$broadcast('scroll.refreshComplete');
                } else {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }
            }, function (erro) {
                msg.error(JSON.stringify(erro.data));
            });
        }
        $scope.add = function () {
            $state.go('wl.my_truck_add', { item: {}});
        }
        $scope.detail = function (item) {
            $state.go('wl.my_truck_add', {item:item});
        }
        $scope.load(true);
    }]);
    app.controller('myTruckAddCtrl', ['$scope', 'myService', 'msg', '$state', '$stateParams', function ($scope, myService, msg, $state, $stateParams) {
        $scope.vm = {};
        if ($stateParams.item) {
            $scope.vm = $stateParams.item;
        }
        $scope.typeOpt = [
            { name: '厢式货车', value: '厢式货车' },
            { name: '面包车', value: '面包车' },
            { name: '金杯车', value: '金杯车' },
        { name: '中巴货车', value: '中巴货车' },
        { name: '高栏车', value: '高栏车' },
        { name: '低栏车', value: '低栏车' },
        { name: '平板车', value: '平板车' },
        { name: '高低板车', value: '高低板车' },
        { name: '半挂车', value: '半挂车' },
        { name: '自卸车', value: '自卸车' },
        { name: '冷藏车', value: '冷藏车' },
        { name: '保温车', value: '保温车' },
        { name: '罐式车', value: '罐式车' },
        { name: '铁笼车', value: '铁笼车' },
        { name: '集装箱运输车', value: '集装箱运输车' },
        { name: '大件运输车', value: '大件运输车' },
        { name: '危险品车', value: '危险品车' },
        { name: '全挂车', value: '全挂车' },
        { name: '加长挂车', value: '加长挂车' },
        { name: '其他', value: '其他' }];
        $scope.save = function () {
            msg.loading('保存中...')
            myService.addTruck($scope.vm).then(function (result) {
                msg.hide();
                $state.go('wl.my_truck');
            }, function (erro) {
                msg.hide();
                msg.error(JSON.stringify(erro.data));
            });
        }
     
    }]);
    app.controller('myTruckDetailCtrl', ['$scope', function ($scope) {

    }]);
    app.controller('myMessageCtrl', ['$scope', 'myService', 'msg', '$state', function ($scope, myService, msg, $state) {
        $scope.filter = {
            hasMore: false,
            page: 0,
            pageSize: 10,
        }
        $scope.items = [];
        $scope.load = function (init) {
            if (init) {
                $scope.filter.pageIndex = 1;
                $scope.items = [];
            }
            myService.listMessages($scope.filter).then(function (result) {
                $scope.filter.pageIndex++;
                var more = (result.data.data.length >= $scope.filter.pageSize);
                $scope.filter.hasMore = more;
                $scope.items = $scope.items.concat(result.data.data);
                if (init) {
                    $scope.$broadcast('scroll.refreshComplete');
                } else {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }
            }, function (erro) {
                msg.error(JSON.stringify(erro.data));
            });
        }
        
        $scope.detail = function (item) {
            $state.go('wl.my_message_detail', { item: item });
        }
        $scope.load(true);
    }]);
    app.controller('myMessageDetailCtrl', ['$scope', '$stateParams', function ($scope, $stateParams) {
        $scope.vm = $stateParams.item;
        
    }]);
    app.controller('myOrderCtrl', ['$scope', 'myService', 'msg', '$state', function ($scope, myService, msg, $state) {
        $scope.filter = {
            hasMore: false,
            page: 0,
            pageSize: 10,
        }
        $scope.items = [];
        $scope.load = function (init) {
            if (init) {
                $scope.filter.pageIndex = 1;
                $scope.items = [];
            }
            myService.listOrders($scope.filter).then(function (result) {
                $scope.filter.pageIndex++;
                var more = (result.data.data.length >= $scope.filter.pageSize);
                $scope.filter.hasMore = more;
                $scope.items = $scope.items.concat(result.data.data);
                if (init) {
                    $scope.$broadcast('scroll.refreshComplete');
                } else {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }
            }, function (erro) {
                msg.error(JSON.stringify(erro.data));
            });
        }

        $scope.detail = function (item) {
            $state.go('wl.my_order_detail', { item: item });
        }
        $scope.load(true);
    }]);
    app.controller('myOrderDetailCtrl', ['$scope', '$stateParams', function ($scope, $stateParams) {
        $scope.vm = $stateParams.item;
    }]);
})(angular.module('app.controllers'));