﻿(function (app) {
     
    app.factory("camera", ["$window",'msg', function ($window,msg) {
        return {
            chooseImage: function (cameraOptions) {
                var q = $q.defer();
                if (ionic.Platform.platforms[0] === "browser") {
                    msg.text('不支持该操作');
                }
                var defaultOptions = {
                    quality: 100,
                    destinationType: 1,//0：Return base64 encoded string，1：Return file uri (content://media/external/images/media/2 for Android)，2：Return native uri (eg. asset-library://... for iOS)
                    sourceType: 1,//0:Choose image from picture library (same as SAVEDPHOTOALBUM for Android),1:Take picture from camera,2:Choose image from picture library (same as PHOTOLIBRARY for Android)
                    allowEdit: false,
                    encodingType: 0,//0为jpg,1为png
                    //targetWidth: 1920,
                    //targetHeight: 1080,
                    saveToPhotoAlbum: false,
                    maximumImagesCount: 10  //选择图片时用的
                };
                var options = angular.extend(defaultCameraOptions, cameraOptions);
                var sheetOptions = {
                    title: '选择拍照方式',
                    buttonLabels: ['拍摄照片', '从图库选择'],
                    addCancelButtonWithLabel: '取消',
                    androidEnableCancelButton: true
                };
                $cordovaActionSheet.show(sheetOptions)
                    .then(function (index) {

                        switch (index) {

                            case 1: //拍摄图片
                                {
                                    options.sourceType = 1;
                                    navigator.camera.getPicture(options).then(function (imageURI) {

                                        q.resolve([imageURI]);

                                    }, function (error) {

                                        q.reject(error);
                                    });
                                }
                                break;

                            case 2:
                                {
                                    window.plugins.imagePicker.getPictures(function (results) {
                                        q.resolve(results);
                                    }, function (error) {
                                        q.reject(error);
                                    }, options);
                                }
                                break;
                            default:

                                q.reslove([]);
                                break;
                        }
                    });
                return q.promise;
            } 
        };
    }]);
})(angular.module('app.services'));